Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.sg
Class WssgConstants

    java.lang.Object
      org.apache.muse.ws.resource.sg.WssgConstants

public class WssgConstants
extends java.lang.Object

WssgConstants is a collection of properties that is useful when programming against the WS-ServiceGroups spec. This class uses WS-SG v1.2.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `ADD_QNAME`
`static QName` | `ADD_REFUSED_QNAME`
`static QName` | `ADD_RESPONSE_QNAME`
`static java.lang.String` | `ADD_URI` The WS-A Action URI of the Add operation.
`static QName` | `CONTENT_CREATION_FAILED_QNAME`
`static java.lang.String` | `CONTENT_ELEMENTS`
`static QName` | `CONTENT_QNAME` The name of the wssg:Content property.
`static QName` | `CONTENT_RULE_QNAME` The name of the wssg:MembershipContentRule property.
`static QName` | `CURRENT_TIME_QNAME` The name of the wssg:CurrentTime return value.
`static QName` | `ENTRY_ADDITION_QNAME` The name of the WS-SG entry addition event.
`static QName` | `ENTRY_QNAME` The name of the wssg:Entry property.
`static QName` | `ENTRY_REMOVAL_QNAME` The name of the WS-SG entry destruction event.
`static java.lang.String` | `ENTRY_URI`
`static QName` | `INIT_TERMINATION_QNAME`
`static QName` | `MEMBER_EPR_QNAME` The name of the wssg:MemberEPR property.
`static QName` | `MEMBER_SERVICE_EPR_QNAME` The name of the wssg:MemberServiceEPR property.
`static java.lang.String` | `MEMBERSHIP_INTERFACE`
`static java.lang.String` | `MODIFICATION_TOPIC_NAME` The name of the WS-N Topic for WS-SG lifecycle events.
`static java.lang.String` | `NAMESPACE_URI`
`static java.lang.String` | `PREFIX`
`static java.lang.String` | `SERVICE_GROUP_REG_URI`
`static java.lang.String` | `SERVICE_GROUP_URI`
`static QName` | `SG_ENTRY_EPR_QNAME` The name of the wssg:ServiceGroupEntryEPR property.
`static QName` | `SG_ENTRY_REFERENCE_QNAME` The name of the wssg:ServiceGroupEntryReference return value.
`static QName` | `SG_EPR_QNAME` The name of the wssg:ServiceGroupEPR property.
`static QName` | `TERMINATION_TIME_QNAME` The name of the wssg:TerminationTime return value.
`static QName` | `UNSUPPORTED_MEMBER_INTERFACE_QNAME`
`static java.lang.String` | `WSDL_NAMESPACE_URI`
`static java.lang.String` | `WSDL_PREFIX`

Constructor Summary
`WssgConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### WSDL_NAMESPACE_URI

    public static final java.lang.String WSDL_NAMESPACE_URI

See Also:
  Constant Field Values

### WSDL_PREFIX

    public static final java.lang.String WSDL_PREFIX

See Also:
  Constant Field Values

### SERVICE_GROUP_URI

    public static final java.lang.String SERVICE_GROUP_URI

See Also:
  Constant Field Values

### SERVICE_GROUP_REG_URI

    public static final java.lang.String SERVICE_GROUP_REG_URI

See Also:
  Constant Field Values

### ENTRY_URI

    public static final java.lang.String ENTRY_URI

See Also:
  Constant Field Values

### ADD_QNAME

    public static final QName ADD_QNAME

### ADD_REFUSED_QNAME

    public static final QName ADD_REFUSED_QNAME

### ADD_RESPONSE_QNAME

    public static final QName ADD_RESPONSE_QNAME

### ADD_URI

    public static final java.lang.String ADD_URI

  The WS-A Action URI of the Add operation.

  See Also:
    Constant Field Values

### CONTENT_CREATION_FAILED_QNAME

    public static final QName CONTENT_CREATION_FAILED_QNAME

### CONTENT_ELEMENTS

    public static final java.lang.String CONTENT_ELEMENTS

See Also:
  Constant Field Values

### CONTENT_QNAME

    public static final QName CONTENT_QNAME

  The name of the wssg:Content property.

### CONTENT_RULE_QNAME

    public static final QName CONTENT_RULE_QNAME

  The name of the wssg:MembershipContentRule property.

### CURRENT_TIME_QNAME

    public static final QName CURRENT_TIME_QNAME

  The name of the wssg:CurrentTime return value.

### ENTRY_ADDITION_QNAME

    public static final QName ENTRY_ADDITION_QNAME

  The name of the WS-SG entry addition event.

### ENTRY_QNAME

    public static final QName ENTRY_QNAME

  The name of the wssg:Entry property.

### ENTRY_REMOVAL_QNAME

    public static final QName ENTRY_REMOVAL_QNAME

  The name of the WS-SG entry destruction event.

### INIT_TERMINATION_QNAME

    public static final QName INIT_TERMINATION_QNAME

### MEMBER_EPR_QNAME

    public static final QName MEMBER_EPR_QNAME

  The name of the wssg:MemberEPR property.

### MEMBER_SERVICE_EPR_QNAME

    public static final QName MEMBER_SERVICE_EPR_QNAME

  The name of the wssg:MemberServiceEPR property.

### MEMBERSHIP_INTERFACE

    public static final java.lang.String MEMBERSHIP_INTERFACE

See Also:
  Constant Field Values

### MODIFICATION_TOPIC_NAME

    public static final java.lang.String MODIFICATION_TOPIC_NAME

  The name of the WS-N Topic for WS-SG lifecycle events.

  See Also:
    Constant Field Values

### SG_ENTRY_EPR_QNAME

    public static final QName SG_ENTRY_EPR_QNAME

  The name of the wssg:ServiceGroupEntryEPR property.

### SG_ENTRY_REFERENCE_QNAME

    public static final QName SG_ENTRY_REFERENCE_QNAME

  The name of the wssg:ServiceGroupEntryReference return value.

### SG_EPR_QNAME

    public static final QName SG_EPR_QNAME

  The name of the wssg:ServiceGroupEPR property.

### TERMINATION_TIME_QNAME

    public static final QName TERMINATION_TIME_QNAME

  The name of the wssg:TerminationTime return value.

### UNSUPPORTED_MEMBER_INTERFACE_QNAME

    public static final QName UNSUPPORTED_MEMBER_INTERFACE_QNAME

Constructor Detail

### WssgConstants

    public WssgConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD